This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 148957 - whell don't work correctly
whell don't work correctly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-17 07:04 EST by Michele Schiavo
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-21 08:24:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michele Schiavo 2005-02-17 07:04:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
enabling pam whell module in su
#%PAM-1.0
....
#auth       sufficient   /lib/security/$ISA/pam_wheel.so trust use_uid
# Uncomment the following line to require a user to be in the "wheel"
group.
auth       required     /lib/security/$ISA/pam_wheel.so use_uid
....

nobody not in whell group can use su command do be everyone.




Version-Release number of selected component (if applicable):
0.77-66.2

How reproducible:
Always

Steps to Reproduce:
1. michele in whell goup it's ok, su correctly work.
2. test not in whell group can't use su
3. tets$su michele
Password:
su: password sbagliata



Expected Results:  i expect whell moduele only deny to be root from
not whell group user

Additional info:
Comment 1 Tomas Mraz 2005-02-21 08:24:01 EST
This is implemented in pam-0.78 (root_only option).

Note You need to log in before you can comment on or make changes to this bug.